Bug 536194 - (RHQ-570) Have a simplified version of the ContentFacet interface. For things like copying one file to one location
Have a simplified version of the ContentFacet interface. For things like copy...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 15:55 EDT by Mark Spritzler
Modified: 2010-08-12 15:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 15:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Spritzler 2008-06-11 15:55:00 EDT
So in developing the ability to deploy ears and wars, it became a bit complicated in figuring out which ContentFacet interface methods had to be written.

It would be nice if we had a simple one method interface for simple content.

It could be as simple as creating an Abstract class (Template method pattern) that implements all the methods of ContentFacet, so the Plugin Container doesn't have to change. Then for simple content, you just extend the abstract class and implement one method.
Comment 1 Joseph Marques 2008-07-19 19:08:58 EDT
makes sense.  jdob, what do you think - is this more appropriate for 1.1 or future?
Comment 2 Jason Dobies 2008-07-21 09:34:55 EDT
Future.
Comment 3 Red Hat Bugzilla 2009-11-10 16:12:07 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-570
Comment 4 Corey Welton 2010-08-12 15:49:14 EDT
Closing via 12-Aug-2010 triage.  This issue can be reopened later if deemed important.

Note You need to log in before you can comment on or make changes to this bug.